- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# MTextureEditorDrawInfo Class Reference

# OpenMayaUI - API module for user interface

Search for all occurrences

## Detailed Description

Drawing state for drawing to the UV texture window with custom shapes.

This class is used by drawUV method of MPxSurfaceShapeUI to specify the current UV drawing state for a user defined shape. API users must override the canDrawUV method on MPxSurfaceShapeUI to recieve drawUV calls. The only situation where the drawing style can change is during a selection event. However, selection events are currently not passed onto the API user. Therefore, most of the functionality in this class is place holder for future work.

See also:
  MPxSurfaceShapeUI

Examples:

  apiMeshShapeUI.cpp, and apiMeshShapeUI.h.

`#include <MTextureEditorDrawInfo.h>`

List of all members.

## Public Types
enum | DrawingFunction { kDrawFunctionFirst = 1, kDrawWireframe = kDrawFunctionFirst, kDrawEverything, kDrawVertexForSelect, kDrawEdgeForSelect, kDrawFacetForSelect, kDrawUVForSelect, kDrawFunctionLast = kDrawUVForSelect }
| Draw modes. More...
## Public Member Functions
| MTextureEditorDrawInfo ()
| Constructor.
| MTextureEditorDrawInfo (const MTextureEditorDrawInfo &in)
| Copy constructor.
virtual | ~MTextureEditorDrawInfo ()
| Destructor.
DrawingFunction | drawingFunction () const
| Indicates the current drawing state for a drawUV method call.
void | setDrawingFunction (DrawingFunction func)
| Sets the current drawing state.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Member Enumeration Documentation

enum DrawingFunction

Search for all occurrences

Draw modes.

Enumerator:

  kDrawFunctionFirst | Lowest possible enum value. Search for all occurrences
  kDrawWireframe | Draw wireframe only (default) Search for all occurrences
  kDrawEverything | Draw vertices, uvs, faces, and edges. Search for all occurrences
  kDrawVertexForSelect | Draw vertices for selection. Search for all occurrences
  kDrawEdgeForSelect | Draw edges for selection. Search for all occurrences
  kDrawFacetForSelect | Draw faces for selection. Search for all occurrences
  kDrawUVForSelect | Draw uvs for selection. Search for all occurrences
  kDrawFunctionLast | Highest possible enum value. Search for all occurrences

## Constructor & Destructor Documentation

MTextureEditorDrawInfo | ( | const MTextureEditorDrawInfo & | other | ) |

Copy constructor.

Parameters:

  [in] | other | texture draw info object to copy

## Member Function Documentation

MTextureEditorDrawInfo::DrawingFunction drawingFunction | ( |  | ) | const

Search for all occurrences

Indicates the current drawing state for a drawUV method call.

Returns:
  The current drawing function.

void setDrawingFunction | ( | MTextureEditorDrawInfo::DrawingFunction | func | ) |

Search for all occurrences

Sets the current drawing state.

Currently the API user is unable to set these values. All drawing state values are determined internally and passed onto the API programmer.

Parameters:

  [in] | func | drawing function.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo
MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo MTextureEditorDrawInfo